js_has_sanity(3)

NAME
js_has_sanity - determine if a given js_string object has valid data object

SYNOPSIS
#include JsStr.h

int js_has_sanity(js_string *js);

DESCRIPTION
js_has_sanity determines whether a given js_string object contains valid data. Valid data meaning:

1)  A member of the js_string structure set up for sanity checks, is_good, has the expected value, JS_SANE_NUMBER.

2)  The number of units in the js_string structure is less than or equal to the number of maximum allowed units.

RETURN VALUE
js_has_sanity returns JS_ERROR if the js_string object in question is not valid, JS_SUCCESS otherwise.

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>